const mapFields = {
  letterNo:'planCode', //评估预算函编号
  status:'status',  // 状态
  letter:'plan_file', //评估预算函
  budgetAmount:'pay_total_price', //评估预算金额
  supplierStoreName:'store_name', //供应商店铺名称
  supplierCompanyName:'supplierName', //供应商公司名称
  creator:'nickname', //创建人
  createTime:'create_time' //创建时间
}

export const budget = [
  {
      type: 'index',
      label: '序号',
      width: '70px'
  },
  {
      prop: mapFields.letterNo,
      label: '评估预算函编号',
  },
  {
      prop: mapFields.status,
      label: '是否选中',
      _slot_:'is_check'
  },
  {
    prop:mapFields.status,
    label:'状态',
    _slot_:'status'
  },
//   {
//       prop: mapFields.letter,
//       label: '评估预算函',
//       width: '126px',
//       _slot_:'letter'
//   },
  {
      prop: mapFields.budgetAmount,
      label: '评估预算金额',
  },
  {
      prop: mapFields.supplierStoreName,
      label: '竞标店铺名称',
  },
//   {
//       prop: mapFields.supplierCompanyName,
//       label: '供应商公司名称',
//       width: '156px',
//   },
//   {
//       prop: mapFields.creator,
//       label: '创建人',
//       width: '150px',
//   },
  {
      prop: mapFields.createTime,
      label: '创建时间',
  },
]

export const activity = [
    {
        type: 'index',
        label: '序号',
        width: '70px'
    },
    {
        prop: mapFields.letterNo,
        label: '方案编号',
    },
    {
        prop: mapFields.status,
        label: '是否选中',
        width: '120px',
        _slot_:'is_check'
    },
    {
        prop: mapFields.letter,
        label: '活动方案预览',
        _slot_:'letter'
    },
    // {
    //     prop: mapFields.budgetAmount,
    //     label: '评估预算金额',
    //     width: '180px',
    // },
    {
        prop: mapFields.supplierStoreName,
        label: '竞标店铺名称',
    },
    // {
    //     prop: mapFields.supplierCompanyName,
    //     label: '供应商公司',
    //     width: '156px',
    // },
    // {
    //     prop: mapFields.creator,
    //     label: '创建人',
    //     width: '150px',
    // },
    {
        prop: mapFields.createTime,
        label: '创建时间',
    },
]

export const project = [
    {
        type: 'index',
        label: '序号',
        width: '70px'
    },
    {
        prop: mapFields.letterNo,
        label: '评估预算函编号',
    },
    {
        prop: mapFields.status,
        label: '是否选中',
        _slot_:'is_check'
    },
    {
        prop:mapFields.status,
        label:'状态',
        _slot_:'status'
    },
    {
        prop: mapFields.letter,
        label: '计划预算函预览',
        _slot_:'letter'
    },
    {
        prop: mapFields.budgetAmount,
        label: '计划预算函金额',
    },
    {
        prop: mapFields.supplierStoreName,
        label: '竞标店铺名称',
    },
    // {
    //     prop: mapFields.supplierCompanyName,
    //     label: '方案上传公司',
    //     width: '156px',
    // },
    // {
    //     prop: mapFields.creator,
    //     label: '创建人',
    //     width: '150px',
    // },
    {
        prop: mapFields.createTime,
        label: '创建时间',
    },
]

export const settlement = [
    {
        type: 'index',
        label: '序号',
        width: '70px'
    },
    {
        prop: mapFields.letterNo,
        label: '评估预算函编号',
    },
    {
        prop: mapFields.letter,
        label: '评估预算函',
        _slot_:'letter'
    },
    {
        prop:mapFields.status,
        label:'状态',
        _slot_:'status'
    },
    {
        prop: mapFields.budgetAmount,
        label: '评估预算金额',
    },
    {
        prop: mapFields.supplierStoreName,
        label: '竞标店铺名称',
    },
    // {
    //     prop: mapFields.supplierCompanyName,
    //     label: '供应商公司名称',
    //     width: '156px',
    // },
    // {
    //     prop: mapFields.creator,
    //     label: '创建人',
    //     width: '150px',
    // },
    {
        prop: mapFields.createTime,
        label: '创建时间',
    },
]

const mapColumns = {
    budget,
    activity,
    project,
    settlement
}


const mapCheck = {
    budget:{
      ok:1,
      no:0
    },
    activity:{
      ok:1,
      no:0
    },
    project:{
      ok:1,
      no:0
    },
    settlement:{
      ok:1,
      no:0
    }
}

const mapTitle = {
    budget: '评估预算函',
    activity: '活动方案',
    project: '计划预算函',
    settlement: '结算函'
}



export  {
  mapColumns,
  mapCheck,
  mapTitle
}
