const mapFields = {
  letterNo:'planCode', //评估预算函编号
  status:'status',  // 状态
  letter:'plan_file', //评估预算函
  budgetAmount:'plan_total_price', //评估预算金额
  supplierStoreName:'store_name', //供应商店铺名称
  supplierCompanyName:'supplierName', //供应商公司名称
  creator:'nickname', //创建人
  createTime:'create_time' //创建时间
}

export const columns = [
  {
      type: 'index',
      label: '序号',
      width: '70px'
  },
  {
      prop: mapFields.letterNo,
      label: '计划预算函编号',
      width: '120px',
  },
  {
      prop: mapFields.status,
      label: '是否选中',
      width: '120px',
      _slot_:'is_check'
  },
  {
      prop: mapFields.letter,
      label: '计划预算函预览',
      width: '156px',
  },
  {
      prop: mapFields.budgetAmount,
      label: '计划预算金额',
      width: '180px',
  },
  {
      prop: mapFields.supplierStoreName,
      label: '店铺名称',
      width: '156px',
  },
  {
      prop: mapFields.supplierCompanyName,
      label: '方案上传公司',
      width: '156px',
  },
  {
      prop: mapFields.creator,
      label: '创建人',
      width: '150px',
  },
  {
      prop: mapFields.createTime,
      label: '创建时间',
      minWidth: '150px',
  },
]
