const columns = [
  {
    type:'selection',
    fixed:'left'
  },
  {
    prop: 'reqCode',
    label: '需求订单编号',
    width: '185'
  },

  {
    prop: 'shortname',
    label: '活动城市',
    width: '90'
  },
  {
    prop: 'act_time',
    label: '活动时间',
    width: '155px',
    _slot_:'actTime'
  },
  {
    prop: 'status',
    label: '状态',
    width: '170px',
    _slot_:'status'
  },
  {
    prop: 'req_demand_name',
    label: '项目需求',
    minWidth: '120px',
    _slot_:'req_demand'
  },
  {
    prop: 'participant',
    label: '活动人数',
    width: '155',
    _slot_: "participant"
  },

  {
    prop: 'require_item_name',
    label: '活动类型',
    width: '155px'
  },
  // {
  //   prop: 'act_day_count',
  //   label: '活动总天数',
  //   'width': '90'
  // },
  // {
  //   prop: 'req_endtime',
  //   label: '咨询截止时间',
  //   'min-width': '125'
  // },
  {
    prop: 'companyName',
    label: '客户公司',
    'min-width': '150'
  },
  // {
  //   prop: 'req_tel',
  //   label: '联系电话',
  //   'width': '120'
  // },
  // {
  //   prop: 'req_user_name',
  //   label: '创建人',
  //   'width': '120'
  // },
  {
    prop: 'update_time',
    label: '创建时间',
    'width': '145px'
  },
]

const demandDetailColumns = [
  {
    prop:'reqCode',
    label:"需求订单编号",
    span:8
  },
  {
    prop:'req_user_name',
    label:'创建人',
    span:8
  },
  {
    prop:'create_time',
    label:'创建时间',
    span:8
  },
  {
    prop:'shortname',
    label:'活动城市',
    span:8
  },
  {
    prop:'require_item',
    label:'活动需求',
    span:8
  },
  {
    prop:'act_time',
    label:'活动时间',
    span:8
  },  
  {
    prop:'participant',
    label:'活动人数',
    span:8
  },
  {
    prop:'req_demand',
    label:'项目需求',
    span:8
  },
  {
    prop:'req_endtime',
    label:'招标截止时间',
    span:8
  },
  {
    prop: 'companyName',
    label: '需求公司',
    span:8
  },
  {
    prop:'flow_stage',
    label:'当前阶段',
    span:8
  },
  {
    prop:'supplierName',
    label:'活动执行供应商',
    span:8
  },
  {
    prop:'budget',
    label:'需求预算',
    span:8
  },
  {
    prop:'TODO',
    label:'预付类型',
    span:8,
    _slot_:'prepaymentType'
  },
  {
    label:'预付金额',
    span:8,
    _slot_:'prepaymentAmount'
  },
  {
    prop:'ainv_fee',
    label:'已开票金额',
    span:6
  },
  {
    prop:'winv_fee',
    label:'未开票金额',
    span:6
  },
  {
    prop:'apay_amount',
    label:'已付款金额',
    span:6
  },
  {
    prop:'wpay_amount',
    label:'未付款金额',
    span:6
  },
  {
    prop:'settle_amount',
    label:'活动结算金额',
    span:6
  },
  {
    label:'当前状态',
    span:18,
    _slot_:'currentStatus'
  }
]

export {
  columns,
  demandDetailColumns
}
