
const statusList = [
  { id: '1', label: '待上传凭证', type: '' },
  { id: '2', label: '待供应商确认', type: '' },
  { id: '3', label: '完成', type: 'success' }
]

const editColumns = [
  {
    prop: 'reqCode',
    label: '平台订单编号',
    span: 8
  },

  {
    prop: 'DzNo',
    label: '业务订单编号',
    span: 8
  },
  {
    prop: 'createtime',
    label: '创建时间',
    span: 8
  },
  {
    prop: 'pay_amount',
    label: '总金额',
    span: 8
  },

  {
    prop: 'todo',
    label: '未回款金额',
    span: 8
  },
  {
    prop: 'todo',
    label: '已回款金额',
    span: 8
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    span: 8
  },
  {
    prop: 'todo',
    label: '已开票金额',
    span: 8
  },
  {
    prop: 'todo',
    label: '未开票金额',
    span: 8
  },
  {
   prop: 'pay_proof',
   label: '凭证图片',
   span: 24 ,
   _slot_:'pay_proof'
  }
]

const listCol = [
  {
    type:'selection'
  },
  {
    prop: 'DzNo',
    label: '付款申请编号',
    width: '115'
  },

  {
    prop: 'todo',
    label: '付款状态',
    _slot_:'status',
    width: '155'
  },

  {
    prop: 'pay_amount',
    label: '付款金额',
    width: '120px'
  },
  {
    prop: 'reqCode',
    label: '需求订单编号',
    width: '185'
  },

  {
    prop: 'companyName',
    label: '客户公司',
    minWidth: '155px'
  },
  {
    prop: 'todo',
    label: '店铺名称',
    minWidth: '155px',
    required: true
  },
  {
    prop: "creater",
    label: "创建人",
    minWidth: '155px'
  },
  {
    prop: 'createtime',
    label: '创建时间',
    'min-width': '180'
  },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation',
    width: 50
  }
]

export {
  listCol, 
  statusList,
  editColumns
}
