const rules = {
  name: [
    { required: true, message: "请输入客房名称", trigger: "change" },
  ],
    image: [
    { required: true, message: "请上传客房主图", trigger: "change" },
  ],
  area: [{ required: true, message: "请输入客房面积", trigger: "change" }],
  length: [{ required: true, message: "请输入客房数量", trigger: "change" }],
  network: [{ required: true, message: "请输入网络", trigger: "change" }],
  price: [{ required: true, message: "请输入参考价", trigger: "change" }],

};

const formItem = {
  id: "",
  image:
  "http://hwpro.test241.wanyuhengtong.com/storage/default/20230607/6c4b040420fb5a1d01837d0f120d60ec5c92ea62.jpg",
  name: "测试客房",
  area: "412",
  length: "1",
  network: "Wifi",
  price: "20000",
};
const columns = [
  {
    prop:'index',
    label:'顺序',
    type:"index"
  },
  {
    prop:'image',
    label:'主图',
    _slot_: "image",
  },
  {
    prop:'name',
    label:'名称',
  },
  {
    prop:'area',
    label:'面积(m²)',
 
  },
  {
    prop:'length',
    label:'数量',
  },
  {
    prop:"network",
    label:'网络',
  
  },
  {
    prop:"price",
    label:'参考价(元)',
   
  },

  {
    prop: "create_time",
    label: "创建时间",
    width: "145",
  },
  {
    prop: "",
    label: "操作",
    _add_: true,
    fixed: "right",
    width: "100",
    _noset_: true,
    _slot_: "operation",
  },
];
const parmValue = {
  page: 1, // 页码
  size: 999999, // 每页显示条数
  limit: 999999,
};

export { formItem, columns, rules, parmValue };
