const statusList = [
  { id: '1', label: '待供应商上传付款凭证', type: '' },
  { id: '2', label: '待平台审核', type: '' },
  { id: '3', label: '平台驳回', type: '' },
  { id: '4', label: '待供应商上传发票抬头', type: '' },
  { id: '5', label: '待完成发票上传和审核', type: '' },
  { id: '6', label: '结算完成', type: 'success' }
  // 已选完商品，取消议价
]
const editColumns = [
  {
    prop: 'settle_code',
    label: '平台订单编号',
    span: 8
  },

  {
    prop: 'reqCode',
    label: '业务订单编号',
    span: 8
  },
  {
    prop: 'createtime',
    label: '创建时间',
    span: 8
  },
  {
    prop: 'service_amount',
    label: '总金额',
    span: 8
  },

  {
    prop: 'wpay_amount',
    label: '未回款金额',
    span: 8
  },
  {
    prop: 'apay_amount',
    label: '已回款金额',
    span: 8
  },
  {
    prop: 'status',
    label: '状态',
    _slot_: 'status',
    span: 8
  },
  {
    prop: 'ainv_fee',
    label: '已开票金额',
    span: 8
  },
  {
    prop: 'winv_fee',
    label: '未开票金额',
    span: 8
  },
  {
    prop: 'service_amount',
    label: '本次申请金额',
    span: 8
  },
  {
    prop:'invoice_title',
    label:'发票抬头',
    span:8,
    _slot_:'invoice_title',
  },
  // {
  //   prop:'supplier_title',
  //   label:'供应商发票抬头',
  //   _slot_:'supplier_title',
  //   span: 8
  // },
  {
    label:'凭证图片',
    _slot_:'pz',
    span:8
  },
  {
    label:'收款银行账号',
    _slot_:'bank',
    span:8
  },
  {
    label:'收款银行账号',
    _slot_:'bank_account',
    span:16
  }
]

const demandOrderColumns = [
  {
    prop: 'todo',
    label: '平台订单编号',
    span: 8
  }
]
const listCol = [
  {
    prop: 'settle_code',
    label: '平台结算编号',
    minWidth: '155'
  },

  {
    prop: 'reqCode',
    label: '需求订单编号',
    minWidth: '155'
  },

  {
    prop: 'supplierName',
    label: '供应商',
    minWidth: '120px'
  },
  // {
  //   prop: 'todo',
  //   label: '平台结算编码',
  //   width: '155'
  // },

  {
    prop: 'service_amount',
    label: '平台结算金额',
    minWidth: '100px'
  },
  {
    prop: 'todo',
    label: '状态',
    minWidth: '145px',
    _slot_:'status',
  },
  {
    prop: 'apay_amount',
    label: '已回款金额',
    'min-width': '100px'
  },
  // {
  //   prop: 'todo',
  //   label: '回款中金额',
  //   'min-width': '100px'
  // },
  {
    prop: 'wpay_amount',
    label: '未回款金额',
    minWidth: '100px'
  },
  // {
  //   prop: 'creater',
  //   label: '开票状态',
  //   _slot_:'status',
  //   minWidth: '120px'
  // },
  {
    prop: 'ainv_fee',
    label: '已开票金额',
    minWidth: '100px'
  },
  // {
  //   prop: 'todo',
  //   label: '开票中金额',
  //   minWidth: '100px'
  // },
  {
    prop: 'winv_fee',
    label: '未开票金额',
    minWidth: '100px'
  },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation',
    width: 50
  }
]

const invoiceColumns = [
  {
    prop: 'todo',
    label: '抬头',
    span:24
  },
  {
    prop: 'todo',
    label: '纳税人识别号',
    span:24
  },
  {
    prop: 'todo',
    label: '地址、电话',
    span:24
  },
  {
    prop: 'todo',
    label: '开户行及账号',
    span:24
  }
]

export {
  listCol,
  invoiceColumns,
  editColumns,
  statusList,
  demandOrderColumns
}
