// 物业管理员
import http from "@/apis/axios";
const api = "admin/order/";

const planAPI = 'admin/planOrder/'

const preAPI  = 'admin/prepayRatio/'
export default {
   // 分页查询
  list: (data, params) => http(api + "orderlist", data, "post", params),
  status: (data, params) => http(api + "status", data, "post", params),
  evaluate: (data, params) => http(api + "evaluate", data, "post", params),

  // 详情
  detail: (data, params) => http(api + "orderinfo", data, "post", params),
  //申请预付
  prepayApply: (data, params) => http(api + "prepayapply", data, "post", params),
  //需求订单状态
  checkNode: (data, params) => http(api + "checknode", data, "post", params),
  proofCheck: (data, params) => http(api + "proofcheck", data, "post", params),
  prepayOrder: (data, params) => http(api + "prepayorder", data, "post", params),

  settle:(data, params) => http(planAPI + 'settle', data, 'post', params),
  prepayRatio: (data, params) => http(preAPI + "index", data, "post", params),
  //预算函编辑
  planUpdate:(data, params) => http(planAPI + 'save', data, 'post', params),
  //预算函详情
  planInfo:(data, params) => http(planAPI + 'info', data, 'post', params),
  //预算函列表
  planList:(data, params) => http(planAPI + 'list', data, 'post', params),
  //预算函创建
  planCreate:(data, params) => http(planAPI + 'create', data, 'post', params),
  //选择预算函
  planCheck: (data, params) => http(planAPI + "check", data, "post", params),

  // 更新
  update: (data, params) => http(api + "zxedit", data, "post", params),
  feedList: (data, params) => http(api + "consultbidlist", data, "post", params),
  // 添加
  add: (data, params) => http(api + "consultcreate", data, "post", params),
  // 分页查询项目列表
  plist: (data, params) => http(api + "projectlist", data, "post", params),

  // 删除
  delete: (data, params) => http(api + "delete", data, "post", params),

  // 项目详情
  pdetail: (data, params) => http(api + "projectinfo", data, "post", params),
  // 议价单创建
  bargain_add: (data, params) => http(api + "consultbaradd", data, "post", params),

  // 异常原因接口
  reasonList: (data, params) => http(api + "resultlist", data, "post", params),
  // 物流反馈
  afterFeed: (data, params) => http(api + "afterfeed", data, "post", params),
  // 企业客户反馈
  aftergys: (data, params) => http(api + "aftergys", data, "post", params),
  // 售后快递录入
  afterPost: (data, params) => http(api + "afterpost", data, "post", params),
  //售后获取仓库list
  afterwsm: (data, params) => http(api + "afterwsm", data, "post", params),


  uploadImage: (data, params) => http("admin/login/upload", data, "post", params),
  uploadvideo: (data, params) => http("admin/login/upload", data, "post", params),
};
