// 运营账号
import http from '@/apis/axios'
const api = 'admin/user/'

const loginAPI = "admin/login/"

const roleAPI = "admin/role/"

export default {
  // 分页查询
  list: (data, params) => http(api + 'list', data, 'post', params),
  // 详情
  detail: (data, params) => http(api + 'userinfo', data, 'post', params),
  // 更新
  update: (data, params) => http(api + 'edit', data, 'post', params),
  // 删除
  delete: (data, params) => http(api + 'userCompanyBasicDelete', data, 'post', params),
  // 修改密码
  setpwd: (data, params) => http('admin/user/edit', data, 'post', params),
  // 修改状态
  status: (data, params) => http(api + 'edit', data, 'post', params),

  // 设置角色
  setRole: (data,params) => http(api + "setrole", data, "post", params),

  // 注册
  register: (data, params) => http('api/wechat/loginByMobile', data, 'post', params),
  //获取不分页角色列表
  roleQuery : (data,params) => http(roleAPI + "query", data, "post", params)
}
