import http from "@/apis/axios";
// import urlConfig from "@/apis/url-config";
// import { getToken } from "@/utils/auth";

export default {
  // 登录
  login: (data, params) => http("admin/login/login", data, "post", params),
  //手机号验证码登录
  mobileLogin: (data, params) => http("api/wechat/loginByMobile", data, "post", params),
   //手机号获取验证码
  getCodebyMombile: (data, params) => http("api/wechat/getCodebyMombile", data, "post", params),
  //获取菜单
  requestMenus: (data, params) =>
    http("admin/menu/query", data, "post", params),
  // 获取个人信息
  userinfo: (data, params) => http("admin/login/index", data, "post", params),
  // 获取用户权限导航列表
  menuList: (data, params) => http("admin/menu", data, "get", params),
  // 钉钉获取用户信息
  dingdingdetail: (data, params) => http("Api/dintalk", data, "post", params),
  // 获取账号详情
  usergetinfo: (data, params) =>
    http("admin/login/index", data, "post", params),
  //  获取角色流程节点详情
  roleProcessInfo: (data, params) =>
    http("admin/role_process_detail", data, "post", params),
  //  获取角色详情
  reuqsetRoleInfo: (data, params) =>
    http("admin/roleinfo", data, "post", params),
  // 获取用户的企业列表
  requsetSupertubeCompany: (data, params) =>
    http("admin/businesslist", data, "post", params),
  //  超管用户获取所有企业列表
  requsetSupertubeCompany: (data, params) =>
    http("admin/comprehensiveList", data, "post", params),
  //  普通用户获取绑定的企业列表
  requsetUserBindingCompany: (data, params) =>
    http("admin/myCompanyList", data, "post", params),
};
