export const demandStatusOptions = [
  { value : '1', label:' 待供应商反馈评估预算函' },
  { value : '2', label:' 待供应商上传活动方案' },
  { value : '3', label:' 待供应商上传计划函' },
  { value : '4', label:' 待客户上传确认执行凭证' },
  { value : '5', label:' 待平台审批执行凭证' },
  { value : '6', label:' 待供应商确认已执行' },
  { value : '7', label:' 待客户确认已执行' },
  { value : '8', label:' 平台驳回执行凭证' },
  { value : '9', label:' 待供应商上传结算函' },
  { value : '10' ,label: '待客户确认结算函' },
  { value : '11' ,label: '客户驳回结算函' },
  { value : '12' ,label: '订单执行完成' },
  { value : '13' ,label: '订单已取消 '}
]

export const invoiceTypeList = [
  { value:'1', label:'增值税普通发票',scanValue: '04' },
  { value:'2', label:'增值税专用发票',scanValue: '01' },
  { value:'3', label:'增值税电子普通发票', scanValue: '10' },
  { value:'4', label:'增值税电子专用发票', scanValue:' 20' },
  { value:'5', label:'电子发票(增值税普通发票)',scanValue: '32' },
  { value:'6', label:'电子发票(增值税专用发票)',scanValue: '31' },
]

export const budgetStatusOptions = [
  { value:"1", label:"待上传方案" },
  { value:"2", label:"待上传计划预算" },
  { value:"3", label:"待客户确认" },
  { value:"4", label:"客户确认完成" }
]

const statusList = [
  { name: "启用", code: 1 },
  { name: "禁用", code: 0 },
];
const cg_order_type_options = [
  { id: "1", label: "库存商品" },
  { id: "2", label: "非库存商品" },
  { id: "3", label: "反馈商品" },
  { id: "4", label: "报备商品" },
];
const xs_order_type_options = [
  { id: "1", label: "库存商品" },
  { id: "2", label: "非库存商品" },
  { id: "3", label: "反馈商品" },
  { id: "4", label: "报备商品" },
];
const cg_order_source_options = [
  { id: "0", label: "备库单" },
  { id: "1", label: "直接下单" },
  { id: "2", label: "竞价转单" },
  { id: "3", label: "项目转单" },
  { id: "4", label: "平台导入" },
  { id: "5", label: "有赞平台" },
  { id: "6", label: "售后补换货" },
  { id: "7", label: "报备转单" },
  // { id: "8", label: "支付渠道" }
  { id: "9", label: "采销录单" },
  // { id: "10", label: "结算录单" }
];
const xs_order_source_options = [
  // { id: "0", label: "备库单" },
  { id: "1", label: "直接下单" },
  { id: "2", label: "竞价转单" },
  { id: "3", label: "项目转单" },
  { id: "4", label: "平台导入" },
  { id: "5", label: "有赞平台" },
  { id: "6", label: "售后补换货" },
  { id: "7", label: "报备转单" },
  // { id: "8", label: "支付渠道" },
  { id: "9", label: "采销录单" },
  // { id: "10", label: "结算录单" }
];
const has_account_list = [
  { code: "1", type: "", name: "已开通" },
  { code: "0", type: "info", name: "未开通" },
];

export const isStockOptions = [
  { value: '0', label: '非库存品' },
  { value: '1', label: '库存品' }
]

const accountLevels = {
  super: "1",
  business: "2",
  supplier: "3",
};

export const usetypeOtions = [
  { value: '1', label: 'toB' },
  { value: '2', label: 'toC' }
]

export {
  statusList,
  cg_order_type_options,
  xs_order_type_options,
  cg_order_source_options,
  xs_order_source_options,
  accountLevels,
  has_account_list,
};
