
const statusList = [
  { id: '1', label: '待平台结算', type: '' },
  { id: '2', label: '待服务商上传发票', type: '' },
  { id: '3', label: '部分回票', type: '' },
  { id: '4', label: '全部回票,待客户确认完成', type: '' },
  { id: '5', label: '开票申请完成', type: 'success' }
  // 已选完商品，取消议价
]

const listCol = [
  {
    prop: 'invNo',
    label: '开票申请编号',
    width: '105px'
  },

  {
    prop: 'reqCode',
    label: '需求订单编号',
    width: '185px'
  },

  {
    prop: 'companyName',
    label: '需求公司',
    minWidth: '120px'
  },
  {
    prop: 'total_price',
    label: '申请金额',
    width: '155'
  },

  {
    prop: 'invoice_type',
    label: '发票类型',
    width: '155px',
    _slot_: 'invoice_type'
  },
  {
    prop: 'invoice_title',
    label: '发票抬头',
    width: '155px'
  },
  {
    prop: 'invoice_code',
    label: '纳税识别号',
    'min-width': '180'
  },
  {
    prop: 'status',
    label: '状态',
    _slot_:'status',
    'min-width': '160px'
  },
  {
    prop: 'ainv_fee',
    label: '已开票金额',
    minWidth: '150px'
  },

  {
    prop: 'winv_fee',
    label: '未开票金额',
    'width': '120px'
  },
  {
    prop: '',
    label: '操作',
    fixed: 'right',
    _noset_: true,
    _slot_: 'operation',
    width: 80
  }
]

const invoiceApplyColumns = [
  {
    prop: 'invNo',
    label: '发票申请编号',
    span: 8
  },
  {
    prop:'status',
    label:'状态',
    span:8,
    _slot_:'status'
  },
  {
    prop:'invoice_type',
    label:'发票类型',
    span: 8,
    _slot_:'invoice_type'
  },
  {
    prop:'companyName',
    label:'客户公司',
    _slot_:'company',
    span: 8
  },
  {
    prop:'invoice_title',
    label:'发票抬头',
    span: 8,
    _slot_:'title'
  },
  {
    prop:'createtime',
    label:'创建时间',
    span: 8
  },
  {
    prop: 'store_name',
    label:'店铺名称',
    span:8
  },
  {
    prop:'total_price',
    label:'当前申请金额',
    span:6
  },
  {
    prop:'winv_fee',
    label:'未开票金额',
    span: 5
  },
  {
    prop:'ainv_fee',
    label:'已开票金额',
    span: 5
  },
  // {
  //   prop:'wpay_amount',
  //   label:'未回款金额',
  //   span: 6
  // },
  // {
  //   prop:'apay_amount',
  //   label:'已回款金额',
  //   span: 6
  // },
  {
    prop:'remark',
    label:'备注',
    span: 24
  }
]

export {
  listCol, 
  invoiceApplyColumns,
  statusList
}
