//曾举办活动
const activityColumns = [
  {
    prop:'index',
    label:'顺序',
    type:'index'
  },
  {
    prop:'hdmc',
    label:'活动名称',
    type:'text'
  }
]

const activityRules = {}

//详情图片
const pictureColumns = [
  {
    prop:'index',
    label:'顺序',
    type:'index'
  },
  {
    prop:'tpmz',
    label:'名称',
    type:'text'
  },
  {
    prop:'tp',
    label:'图片',
    type:'image'
  }
]

const pictureRules = {}

// 会议室
const conferenceColumns = [
  {
    prop:'index',
    label:'顺序',
    type:'index'
  },
  {
    prop:'zt',
    label:'图片',
    type:'image'
  },
  {
    prop:'hys',
    label:'会议室名称',
    type:'text'
  },
  {
    prop:'mj',
    type:'number',
    label:'面积(m²)',
    otherProps:{
      append:"",
      precision:0
    }
  },
  {
    prop:'cd',
    type:'number',
    label:'长度(m)',
    otherProps:{
      append:"",
      precision:1
    }
  },
  {
    type:'number',
    prop:"rs",
    label:'容纳人数',
    otherProps:{
      append:"",
      precision:0
    }
  },
  {
    prop:"ck",
    type:'number',
    label:'参考价',
    otherProps:{
      append:"",
    }
  }
]

const conferenceRules = {}


//客房
const guestColumns = [
  {
    prop:'index',
    label:'顺序',
    type:'index'
  },
  {
    prop:'zt',
    label:'图片',
    type:'image'
  },
  {
    prop:'kfmc',
    label:'客房名称',
    type:'text'
  },
  {
    prop:'mj',
    type:'number',
    label:'面积(m²)',
    otherProps:{
      append:"",
      precision:0
    }
  },
  {
    prop:'sfyc',
    type:'是否用窗',
    label:'长度(m)',
    otherProps:{
      append:"",
      precision:1
    }
  },
  {
    type:'wl',
    prop:"网络",
    label:'网络',
    otherProps:{
      append:"",
      precision:0
    }
  },
  {
    prop:"sl",
    type:'number',
    label:'数量(间)',
    otherProps:{
      append:"",
      precision:0,
    }
  },
  {
    prop:"ckj",
    type:'number',
    label:'参考价',
    otherProps:{
      append:"",
    }
  }
]

const guestRules = {}


//会议服务
const serviceColumns = [
  {
    prop:'index',
    label:'顺序',
    type:'index'
  },
  {
    prop:'zt',
    label:'图片',
    type:'image'
  },
  {
    prop:'szmc',
    label:'设置名称',
    type:'text'
  },
  {
    prop:'dw',
    label:'单位',
    type:'text'
  },
  {
    prop:'ckj',
    label:'参考价',
    type:'number'
  },
  {
    prop:'bz',
    label:'备注',
    type:'text'
  }
]

const serviceRules = {}


export {
  pictureColumns,
  pictureRules,
  conferenceColumns,
  conferenceRules,
  guestColumns,
  guestRules,
  serviceColumns,
  serviceRules,
  activityRules,
  activityColumns,
}
